=== diskimage-create/requirements.txt ===
Babel>=1.3
diskimage-builder
PyYAML
six>=1.9.0
