=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Docs
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-nwdiag>=0.9.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
graphviz!=0.5.0,>=0.4 # MIT License
openstackdocstheme>=1.18.1 # Apache-2.0
sadisplay>=0.4.8 # BSD
reno>=2.5.0 # Apache-2.0

# This needs to be installed after above modules
pydotplus>=2.0.2 # MIT License
pyparsing>=2.1.0 # MIT
networkx>=1.10 # BSD
