=== debian/changelog ===
octavia (3.0.0-3) unstable; urgency=medium

  * Add an octavia-agent package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Jan 2019 17:28:54 +0100

octavia (3.0.0-2) unstable; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Dec 2018 16:30:31 +0100

octavia (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove /etc/octavia/octavia.conf on purge (Closes: #905499).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:09:46 +0200

octavia (3.0.0~rc3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed applied upstream patches:
    - fix-add-local-net-to-routing-table-1.patch
    - fix-lb-status-updates.patch

  [ Michal Arbet ]
  * Add fix-py36-compatibility.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 14:09:08 +0200

octavia (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #901440).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 13 Jun 2018 13:21:52 +0100
