## octavia 3.2.1

=== debian/changelog ===
octavia (3.2.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1853320).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/CVE-2019-17134.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:41:04 -0500

octavia (3.0.0-0ubuntu3.1~cloud0) bionic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/rocky branch.

  [ James Page ]
  * SECURITY UPDATE: Enforce two-way authentication between amphora
    agents and the octavia control plane (LP: #1847243):
    - d/p/CVE-2019-17134.patch
    - CVE-2019-17134

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Oct 2019 17:43:28 +0100

octavia (3.0.0-0ubuntu3) cosmic; urgency=medium

  * d/octavia-api.init.in: Drop UWSGI settings as API is not being run under
    uwsgi (LP: #1798891).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 19 Oct 2018 15:12:23 -0400

octavia (3.0.0-0ubuntu2) cosmic; urgency=medium

  * d/control,amphora-agent.init.in: Add binary package for amphora
    service VM usage.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Sep 2018 14:35:42 -0600

octavia (3.0.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 16:18:02 -0400

octavia (3.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Use upstream release tarballs.
  * New upstream release candidate for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * d/patches: Drop all patches, all upstream.
  * d/p/py36-compat.patch: Compat patch for unit test failure under
    Python >= 3.6.
  * d/p/disable-sphinxcontrib.apidoc.patch: Disable apidoc extension
    usage when generating docs.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Aug 2018 06:48:15 +0100
