=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: octavia
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -13,7 +14,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx,
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  python3-babel,
@@ -24,7 +25,7 @@
  python3-coverage,
  python3-cryptography (>= 2.1),
  python3-diskimage-builder (>= 1.1.2),
- python3-distro (>= 1.3.0),
+ python3-distro,
  python3-flask,
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
@@ -45,7 +46,7 @@
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 6.3.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
@@ -65,7 +66,6 @@
  python3-sadisplay,
  python3-six,
  python3-sphinxcontrib.actdiag,
- python3-sphinxcontrib.apidoc,
  python3-sphinxcontrib.blockdiag,
  python3-sphinxcontrib.nwdiag,
  python3-sphinxcontrib.seqdiag,
@@ -81,47 +81,14 @@
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1.7.1),
  python3-wsme,
- python-yaml,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia
-Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
 Homepage: https://github.com/openstack/octavia
 
-Package: octavia-agent
-Architecture: all
-Depends:
- adduser,
- cryptsetup,
- haproxy,
- haveged,
- ipvsadm,
- keepalived,
- octavia-common (= ${binary:Version}),
- python3-openstackclient,
- q-text-as-data,
- ${misc:Depends},
- ${ostack-lsb-base},
- ${python3:Depends},
-Description: OpenStack Load Balancer as a Service - Agent
- Openstack Load Balancer as a Service, codenamed Octavia was borne
- out of the Neutron LBaaS project. Its conception influenced
- the transformation of the Neutron LBaaS project, as Neutron LBaaS
- moved from version 1 to version 2. Starting with the Liberty
- release of OpenStack, Octavia has become the reference implementation
- for Neutron LBaaS version 2.
- .
- Octavia accomplishes its delivery of load balancing services by
- managing a fleet of virtual machines, containers, or bare metal
- servers—collectively known as amphorae— which it spins up on demand.
- This on-demand, horizontal scaling feature differentiates Octavia from
- other load balancing solutions, thereby making Octavia truly
- suited “for the cloud.”.
- .
- This package contains the Octavia Agent that needs to be installed in the
- Amphorae base image.
-
 Package: octavia-api
 Architecture: all
+Section: python
 Depends:
  adduser,
  octavia-common (= ${binary:Version}),
@@ -174,7 +141,6 @@
  This package contains elements that are needed by all parts of Octavia.
 
 Package: octavia-doc
-Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Depends:
@@ -280,7 +246,7 @@
  python3-cotyledon (>= 1.3.0),
  python3-cryptography (>= 2.1),
  python3-diskimage-builder (>= 1.1.2),
- python3-distro (>= 1.3.0),
+ python3-distro,
  python3-flask,
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
@@ -297,11 +263,10 @@
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 6.3.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pecan,
  python3-pyasn1,
@@ -317,7 +282,6 @@
  python3-tenacity (>= 4.9.0),
  python3-webob (>= 1.7.1),
  python3-wsme,
- python-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Load Balancer as a Service - Python libraries
@@ -336,3 +300,27 @@
  suited “for the cloud.”.
  .
  This package contains the Python files and libraries.
+
+Package: amphora-agent
+Architecture: all
+Depends:
+ octavia-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${ostack-lsb-base},
+ ${python3:Depends},
+Description: OpenStack Load Balancer Service - Amphora agent
+ Openstack Load Balancer as a Service, codenamed Octavia was borne
+ out of the Neutron LBaaS project. Its conception influenced
+ the transformation of the Neutron LBaaS project, as Neutron LBaaS
+ moved from version 1 to version 2. Starting with the Liberty
+ release of OpenStack, Octavia has become the reference implementation
+ for Neutron LBaaS version 2.
+ .
+ Octavia accomplishes its delivery of load balancing services by
+ managing a fleet of virtual machines, containers, or bare metal
+ servers—collectively known as amphorae— which it spins up on demand.
+ This on-demand, horizontal scaling feature differentiates Octavia from
+ other load balancing solutions, thereby making Octavia truly
+ suited “for the cloud.”.
+ .
+ This package provides Octavia Amphora Agent.
