## octavia 4.0.0

=== debian/changelog ===
octavia (4.0.0-0ubuntu1.2) disco-security; urgency=medium

  * SECURITY UPDATE: Enforce two-way authentication between amphora
    agents and the octavia control plane (LP: #1847243):
    - d/p/CVE-2019-17134.patch
    - CVE-2019-17134

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 17:41:42 +0100

octavia (4.0.0-0ubuntu1.1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Sahid Orentino Ferdjaoui ]
  * d/p/0001-db-add-missing-primary-key-in-spares_pool-table.patch: Cherry-picked
    from upstream to prevent issue when running percona in strict mode
    (LP: #1826875).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 17:18:36 +0200

octavia (4.0.0-0ubuntu1) disco; urgency=medium

  * Upstream release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Apr 2019 11:43:11 +0100

octavia (4.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:05:21 +0000

octavia (4.0.0~b1~git2019031922.ae26cf9e-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/octavia-common.postinst.in: Change /etc/octavia owner to root:octavia.
    Note: pkgos_write_new_conf correctly sets perms of /etc/octavia to 0750.
  * d/octavia-common.postinst.in: Drop tabs in favor of spaces.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Dropped, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:18:04 +0000

octavia (4.0.0~b1~git2019013112.979144f2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-missing-import-octavia-opts.py.patch: Add missing import to
    enable generation of config files.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Feb 2019 10:54:10 -0500

octavia (4.0.0~b1~git2018111913.c07612ab-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.
  * d/control: Set min openstack-pkg-tools >= 85ubuntu3~.
  * d/p/disable-sphinxcontrib.apidoc.patch: Dropped. No longer needed.
  * d/p/py36-compat.patch: Dropped. Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:27 -0500
