=== debian/control ===
--- 
+++ 
@@ -9,83 +9,119 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 81~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-babel,
- python3-bandit,
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
  python3-cotyledon (>= 1.3.0),
- python3-coverage,
+ python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
+ python3-debtcollector,
  python3-diskimage-builder (>= 1.1.2),
- python3-distro,
- python3-flask,
+ python3-distro (>= 1.2.0),
+ python3-doc8 (>= 0.6.0),
+ python3-docutils (>= 0.11),
+ python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-graphviz,
- python3-gunicorn,
- python3-hacking,
+ python3-graphviz (>= 0.4),
+ python3-gunicorn (>= 19.0.0),
+ python3-hacking (>= 0.12.0),
  python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-mock,
- python3-netifaces,
+ python3-mock (>= 2.0.0),
+ python3-netifaces (>= 0.10.4),
+ python3-networkx (>= 1.10),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
+ python3-octavia-lib (>= 1.1.1),
  python3-openssl (>= 17.1.0),
  python3-openstackdocstheme (>= 1.18.1),
+ python3-os-api-ref (>= 1.4.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.3.0),
+ python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 3.2.0),
- python3-pecan,
- python3-pyasn1,
- python3-pyasn1-modules,
- python3-pydot,
+ python3-oslotest (>= 1:3.2.0),
+ python3-pecan (>= 1.0.0),
+ python3-pyasn1 (>= 0.1.8),
+ python3-pyasn1-modules (>= 0.0.6),
+ python3-pydot (>= 1.2.4),
  python3-pydotplus (>= 2.0.2),
- python3-pymysql,
+ python3-pymysql (>= 0.7.6),
+ python3-pyparsing (>= 2.1.0),
  python3-pyroute2 (>= 0.4.21),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
- python3-rfc3986,
- python3-sadisplay,
- python3-six,
- python3-sphinxcontrib.actdiag,
- python3-sphinxcontrib.blockdiag,
- python3-sphinxcontrib.nwdiag,
- python3-sphinxcontrib.seqdiag,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-subunit,
+ python3-rfc3986 (>= 0.3.1),
+ python3-sadisplay (>= 0.4.8),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.actdiag (>= 0.8.5),
+ python3-sphinxcontrib.apidoc (>= 0.2.1),
+ python3-sphinxcontrib.blockdiag (>= 1.5.4),
+ python3-sphinxcontrib.nwdiag (>= 0.9.5),
+ python3-sphinxcontrib.seqdiag (>= 0.8.4),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit (>= 1.0.0),
  python3-taskflow (>= 2.16.0),
- python3-tempest (>= 17.1.0),
+ python3-tempest (>= 1:17.1.0),
  python3-tenacity (>= 4.9.0),
- python3-testrepository,
+ python3-testrepository (>= 0.0.18),
  python3-testresources (>= 2.0.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
- python3-wsme,
+ python3-webob (>= 1:1.7.1),
+ python3-wsme (>= 0.8.0),
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
 Homepage: https://github.com/openstack/octavia
 
+Package: amphora-agent
+Architecture: all
+Depends:
+ octavia-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${ostack-lsb-base},
+ ${python3:Depends},
+Description: OpenStack Load Balancer Service - Amphora agent
+ Openstack Load Balancer as a Service, codenamed Octavia was borne
+ out of the Neutron LBaaS project. Its conception influenced
+ the transformation of the Neutron LBaaS project, as Neutron LBaaS
+ moved from version 1 to version 2. Starting with the Liberty
+ release of OpenStack, Octavia has become the reference implementation
+ for Neutron LBaaS version 2.
+ .
+ Octavia accomplishes its delivery of load balancing services by
+ managing a fleet of virtual machines, containers, or bare metal
+ servers—collectively known as amphorae— which it spins up on demand.
+ This on-demand, horizontal scaling feature differentiates Octavia from
+ other load balancing solutions, thereby making Octavia truly
+ suited “for the cloud.”.
+ .
+ This package provides Octavia Amphora Agent.
+
 Package: octavia-api
 Architecture: all
 Section: python
@@ -240,87 +276,54 @@
 Architecture: all
 Depends:
  alembic (>= 0.8.10),
- python3-babel,
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
  python3-cotyledon (>= 1.3.0),
  python3-cryptography (>= 2.1),
  python3-diskimage-builder (>= 1.1.2),
- python3-distro,
- python3-flask,
+ python3-distro (>= 1.2.0),
+ python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-gunicorn,
+ python3-gunicorn (>= 19.0.0),
  python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-netifaces,
+ python3-netifaces (>= 0.10.4),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
+ python3-octavia-lib (>= 1.1.1),
  python3-openssl (>= 17.1.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.3.0),
+ python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
- python3-pecan,
- python3-pyasn1,
- python3-pyasn1-modules,
- python3-pymysql,
+ python3-pecan (>= 1.0.0),
+ python3-pyasn1 (>= 0.1.8),
+ python3-pyasn1-modules (>= 0.0.6),
+ python3-pymysql (>= 0.7.6),
  python3-pyroute2 (>= 0.4.21),
  python3-requests (>= 2.14.2),
- python3-rfc3986,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
+ python3-rfc3986 (>= 0.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
  python3-tenacity (>= 4.9.0),
- python3-webob (>= 1.7.1),
- python3-wsme,
+ python3-webob (>= 1:1.7.1),
+ python3-wsme (>= 0.8.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Load Balancer as a Service - Python libraries
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
- the transformation of the Neutron LBaaS project, as Neutron LBaaS
- moved from version 1 to version 2. Starting with the Liberty
- release of OpenStack, Octavia has become the reference implementation
- for Neutron LBaaS version 2.
- .
- Octavia accomplishes its delivery of load balancing services by
- managing a fleet of virtual machines, containers, or bare metal
- servers—collectively known as amphorae— which it spins up on demand.
- This on-demand, horizontal scaling feature differentiates Octavia from
- other load balancing solutions, thereby making Octavia truly
- suited “for the cloud.”.
- .
- This package contains the Python files and libraries.
-
-Package: amphora-agent
-Architecture: all
-Depends:
- octavia-common (= ${binary:Version}),
- ${misc:Depends},
- ${ostack-lsb-base},
- ${python3:Depends},
-Description: OpenStack Load Balancer Service - Amphora agent
- Openstack Load Balancer as a Service, codenamed Octavia was borne
- out of the Neutron LBaaS project. Its conception influenced
- the transformation of the Neutron LBaaS project, as Neutron LBaaS
- moved from version 1 to version 2. Starting with the Liberty
- release of OpenStack, Octavia has become the reference implementation
- for Neutron LBaaS version 2.
- .
- Octavia accomplishes its delivery of load balancing services by
- managing a fleet of virtual machines, containers, or bare metal
- servers—collectively known as amphorae— which it spins up on demand.
- This on-demand, horizontal scaling feature differentiates Octavia from
- other load balancing solutions, thereby making Octavia truly
- suited “for the cloud.”.
- .
- This package provides Octavia Amphora Agent.
