=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,9 @@
 override_dh_clean:
 	dh_clean
 	find . -iname '*.pyc' -delete
-	rm -f AUTHORS
-	rm -f ChangeLog
 	rm -f debian/*.init debian/*.service debian/*.upstart
 	rm -rf build
 	rm -rf octavia.sqlite
-	rm -rf octavia.egg-info
 	rm -rf .eggs
 	rm -rf doc/source/contributor/devref/flow_diagrams
 	rm -rf doc/source/contributor/modules
@@ -84,10 +81,5 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# We use override_dh_installmenu because it's done in the sequence with dh,
-# and we already override dh_installinit in pkgos.make.
-# Obviously, we will never use a Desktop menu in such a package, so that's
-# not a problem.
-override_dh_installmenu:
-	dh_installinit --name=octavia-agent
-	dh_installinit --name=octavia-agent-certs-ramfs
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
