## octavia 4.1.0

=== debian/changelog ===
octavia (4.1.0-0ubuntu1) disco; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1853319).
  * d/p/CVE-2019-17134.patch: Dropped. Fixed in 4.1.0.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 03 Dec 2019 12:03:53 +0100
