## octavia 4.1.4

=== debian/changelog ===
octavia (4.1.4-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1904563).
  * d/p/add-missing-import-octavia-opts.py.patch: Removed as the fix landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 18 Nov 2020 14:50:21 +0000

octavia (4.1.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * Fix batch creation of new members failure due to timeouts (LP: #1882657)
    - d/p/fix-batch-member-create-for-v1-amphora-driver.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 08 Jul 2020 11:08:52 +0530

octavia (4.1.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1858934).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:40:27 -0500

octavia (4.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 13 Dec 2019 12:29:12 +0000
